#!/bin/bash
export ETCD_UNSUPPORTED_ARCH=s390x
etcdpid=`ps -ef|grep "etcd"|grep -v grep|awk '{print $2}'`
if [ -z $etcdpid ];then
echo "Starting etcd..."
nohup ./etcd/bin/etcd -advertise-client-urls=http://127.0.0.1:4001 -advertise-client-urls=http://127.0.0.1:4001 -listen-client-urls=http://0.0.0.0:4001 --data-dir=./etcd/data > /tmp/etcd.log 2>&1 &
echo "Done."
else
echo "etcd is running, killing etcd..."
ps -ef|grep etcd|grep -v grep|awk '{print $2}'|xargs kill -9
echo "Starting etcd..."
nohup ./etcd/bin/etcd -advertise-client-urls=http://127.0.0.1:4001 -advertise-client-urls=http://127.0.0.1:4001 -listen-client-urls=http://0.0.0.0:4001 --data-dir=./etcd/data > /tmp/etcd.log 2>&1 &
echo "Done."
fi

echo "Starting kubernetes apiserver..."
nohup ./hyperkube apiserver --portal_net=10.0.0.1/24 --address=0.0.0.0 --insecure-bind-address=0.0.0.0 --etcd_servers=http://127.0.0.1:4001  --v=2 > /tmp/apiserver.log 2>&1 &
sleep 1
echo "Done."
echo "Starting kubernetes controller-manager..."
nohup ./hyperkube controller-manager --master=127.0.0.1:8080 --v=2 > /tmp/controller.log 2>&1 &
sleep 1
echo "Done."
echo "Starting kubernetes scheduler..."
nohup ./hyperkube scheduler --master=127.0.0.1:8080 --v=2  > /tmp/scheduler.log 2>&1 &
sleep 1
echo "Done."
echo "Starting kubernetes kubelet..."
nohup ./hyperkube kubelet --root-dir=/var/data/kubelet --hostname-override="127.0.0.1" --address="0.0.0.0" --api-servers=http://localhost:8080 > /tmp/kubelet.log 2>&1 &
sleep 1
echo "Done."
echo "Starting kubernetes proxy..."
nohup ./hyperkube proxy --master=http://127.0.0.1:8080 --v=2 > /tmp/proxy.log 2>&1 &
sleep 1
echo "Done."




